#include <stdlib.h>
#include <gtk/gtk.h>
#include <glib.h>

static void exec_pon(GtkWidget *widget, gpointer data)
{
	system("/usr/bin/pon");
}

static void exec_poff(GtkWidget *widget, gpointer data)
{
	system("/usr/bin/poff");
}

static void destroy(GtkWidget *widget, gpointer data)
{
	gtk_main_quit();
}

static gboolean delete_event(GtkWidget *widget, GdkEvent *event, gpointer data)
{
	return FALSE;
}

int main (int argc, char *argv[])
{
	GtkWidget *janela;
	GtkWidget *botaopon;
	GtkWidget *botaopoff;
	GtkWidget *hbox;

	gtk_init(&argc, &argv);

	janela = gtk_window_new(GTK_WINDOW_TOPLEVEL);

	g_signal_connect(G_OBJECT(janela), "delete_event", G_CALLBACK (delete_event), NULL);
	g_signal_connect (G_OBJECT (janela), "destroy", G_CALLBACK (destroy), NULL);

	botaopon = gtk_button_new_with_label("Conectar");
	botaopoff = gtk_button_new_with_label("Desconectar");

	hbox = gtk_hbox_new(TRUE, 3);
	    
	g_signal_connect (G_OBJECT(botaopon), "clicked", G_CALLBACK (exec_pon), NULL);
	g_signal_connect (G_OBJECT(botaopoff), "clicked", G_CALLBACK (exec_poff), NULL);

	gtk_container_add(GTK_CONTAINER(hbox), botaopon);
	gtk_container_add(GTK_CONTAINER(hbox), botaopoff);

	gtk_container_add(GTK_CONTAINER(janela), hbox);
	    
	gtk_widget_show(hbox);
	gtk_widget_show (botaopon);
	gtk_widget_show (botaopoff);
	        
	gtk_widget_show (janela);
		    
	gtk_main ();
		        
	return 0;
}
